.catalog-section {
}

.catalog-container {
  position: relative;
}
.section-catalog_back-img {
  img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
    filter: brightness(70%);
  }
}

.section-catalog_block-contant {
  position: relative;
  display: flex;
  gap: 10px;

  @media (max-width: 1023px) {
    display: block;
  }
}
.catalog-head_block {
  display: flex;
  flex-direction: column;
  gap: 60px;
  @media (max-width: 767px) {
    gap: 24px;
  }
  h1 {
    font-family: Unbounded;
    font-weight: 500;
    font-size: 60px;
    line-height: 125%;
    letter-spacing: 0%;

    color: white;
    width: 752px;

    @media (max-width: 1439px) {
      font-size: 48px;
    }
    @media (max-width: 1023px) {
      font-size: 40px;
    }
    @media (max-width: 767px) {
      font-size: 30px;
      width: 343px;
    }
  }
}
.catalog-nav {
  font-family: Onest;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  letter-spacing: 0%;

  color: white;

  @media (max-width: 767px) {
    font-size: 16px;
  }

  a {
    color: rgba(213, 217, 226, 1);
    transition: 0.3s ease;

    &:hover {
      color: white;
    }
  }

  p {
    display: inline;
  }
}
.catalog-text {
  font-family: Onest;
  font-weight: 600;
  font-size: 30px;
  line-height: 125%;
  letter-spacing: 0%;

  color: white;
  width: 650px;

  @media (max-width: 767px) {
    font-size: 18px;
    width: 343px;
  }
}
.catalog-block_guarantee {
  display: flex;
  gap: 24px;
  @media (max-width: 767px) {
    gap: 12px;
  }
  p {
    font-family: Onest;
    font-weight: 500;
    font-size: 18px;
    line-height: 150%;
    letter-spacing: 0%;
    text-align: center;

    color: var(--color-black_text);
    padding: 10px 24px;
    background-color: var(--color-beige_accent);
    width: fit-content;
    border-radius: 24px;

    @media (max-width: 767px) {
      padding: 2px 12px;
      font-size: 12px;
      font-weight: 600;
    }

    span {
      font-family: Parisienne;
      font-weight: 400;
      font-size: 40px;
      line-height: 150%;
      letter-spacing: 0%;
      display: inline;

      @media (max-width: 767px) {
        font-size: 24px;
      }
    }
  }
}
.catalog-block_production {
  display: flex;
  flex-direction: column;
  gap: 24px;
  color: var(--color-beige_accent);

  @media (max-width: 767px) {
    gap: 12px;
  }
}
.catalog-block_production-head {
  font-family: Onest;
  font-weight: 700;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: 0%;
  vertical-align: bottom;

  @media (max-width: 767px) {
    font-size: 14px;
  }
}
.catalog-block_container {
  display: flex;
  gap: 86px;

  @media (max-width: 767px) {
    gap: 12px;
  }
}
.catalog-block_production-box {
  display: flex;
  align-items: center;
  gap: 12px;

  div {
    display: flex;
    justify-content: center;
    align-items: center;
    svg {
    }
  }

  p {
    font-family: Onest;
    font-weight: 700;
    font-size: 18px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    vertical-align: bottom;

    @media (max-width: 767px) {
      font-size: 14px;
    }
  }
}
.catalog-button {
  padding: 16px 32px;
  width: fit-content;

  @media (max-width: 490px) {
    width: 100%;
  }
}
.catalog-block_img-absolute {
  position: absolute;
  bottom: -200px;
  right: 0px;

  z-index: 2;

  @media (max-width: 1439px) {
    bottom: -150px;
    right: -100px;
  }
  @media (max-width: 1023px) {
    display: none;
  }

  img {
    width: 913px;
    height: 999px;

    @media (max-width: 1919px) {
      width: 682px;
      height: 732px;
    }
    @media (max-width: 1439px) {
      width: 526px;
      height: 565px;
    }
  }
}

/* directory */

._directory-container {
  position: relative;
}
.directory-container_img {
  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.25);
    z-index: 1;
    border-radius: 16px;
  }
  img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: no-repeat;
    opacity: 45%;
    object-position: center;
  }
}
.directory-container_block {
  position: relative;
  z-index: 2;

  h2 {
    padding-top: 40px;

    @media (max-width: 1023px) {
      padding-top: unset;
    }
  }
}
.directory-block {
  display: flex;
  gap: 24px;

  margin-top: 60px;

  @media (max-width: 767px) {
    gap: 16px;

    margin-top: 24px;
  }
}
.directory-block_box {
  position: relative;
  cursor: pointer;
  width: 100%;

  &:hover {
    p {
      color: var(--color-card_arrow);
    }
  }
  &:active {
    p {
      color: var(--color-active_btn-orange);
    }
  }

  p {
    position: absolute;
    bottom: 32px;
    left: 24px;

    color: white;
    transition: 0.3s ease;

    font-family: Onest;
    font-weight: 600;
    font-size: 24px;
    line-height: 150%;
    letter-spacing: 0%;

    @media (max-width: 767px) {
      font-size: 16px;

      left: 8px;
      bottom: 12px;
    }
  }
}
.directory-box_img {
  height: 309px;
  max-width: 816px;

  @media (max-width: 767px) {
    height: 170px;
  }
  img {
    border-radius: 16px;
  }
}

/* card */
.block-catalog_btn {
  display: flex;
  justify-content: end;
}
.catalog-btn {
  font-family: Onest;
  font-weight: 700;
  font-size: 18px;
  line-height: 150%;
  letter-spacing: 0%;
  text-align: center;
  vertical-align: bottom;

  padding: 18px 74px;
  margin: 60px 0;

  @media (max-width: 490px) {
    width: 100%;
    font-size: 16px;

    margin: 24px 0 16px;
  }
}

.card-container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 48px 24px;
  grid-auto-rows: 1fr;
  align-items: stretch;

  @media (max-width: 1919px) {
    grid-template-columns: repeat(3, 1fr);
  }
  @media (max-width: 1439px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media (max-width: 767px) {
    gap: 16px;
  }
}
.card-block {
  background-color: rgba(213, 217, 226, 1);

  position: relative;
  border-radius: 16px;
  padding: 14px 14px 28px;
  overflow: hidden;

  height: 100%;
  display: flex;
  flex-direction: column;

  @media (max-width: 767px) {
    padding: 6px;
  }

  &:hover {
    svg {
      path {
        stroke: var(--color-hover_btn-orange);
      }
    }
  }
  &:active {
    svg {
      path {
        stroke: var(--color-active_btn-orange);
      }
    }
  }
}
.card-arrow {
  position: absolute;
  top: -1px;
  right: -1px;
  background-color: white;
  border-bottom-left-radius: 70%;
  z-index: 1;

  width: 70px;
  height: 70px;

  display: flex;
  justify-content: center;
  align-items: center;

  @media (max-width: 767px) {
    width: 30px;
    height: 30px;

    justify-content: end;
    align-items: start;
  }

  svg {
    width: 70px;
    height: 70px;

    @media (max-width: 767px) {
      width: 24px;
      height: 24px;
    }

    path {
      transition: 0.3 ease;
    }
  }

  &::before {
    content: "";
    position: absolute;
    top: 1px;
    left: -15px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-top-left-radius: 30px;
    box-shadow: -5px -5px 0 3px white;

    transform: rotate(90deg);

    @media (max-width: 767px) {
      left: -14px;
    }
  }
  &::after {
    content: "";
    position: absolute;
    bottom: -15px;
    right: 1px;
    width: 15px;
    height: 15px;
    background: transparent;
    border-top-left-radius: 30px;
    box-shadow: -5px -5px 0 3px white;

    transform: rotate(90deg);

    @media (max-width: 767px) {
      bottom: -14px;
    }
  }
}
.card-content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}
.card-content_img {
  height: 270px;

  @media (max-width: 767px) {
    height: 124px;
  }

  img {
    border-radius: 8px;

    @media (max-width: 767px) {
      object-fit: cover;
    }
  }
}
.card-box_div {
  position: absolute;
  top: 0;
  right: 0;

  width: 80px;
  height: 80px;

  border-bottom-left-radius: 70%;
  background-color: rgba(213, 217, 226, 1);

  @media (max-width: 767px) {
    width: 35px;
    height: 35px;
  }

  &::before {
    content: "";
    position: absolute;
    top: 14px;
    left: -10px;
    width: 10px;
    height: 10px;
    background: transparent;
    border-top-left-radius: 30px;
    box-shadow: -5px -5px 0 3px rgba(213, 217, 226, 1);

    transform: rotate(90deg);

    @media (max-width: 767px) {
      top: 6px;

      box-shadow: -3px -3px 0 3px rgba(213, 217, 226, 1);
    }
  }
  &::after {
    content: "";
    position: absolute;
    bottom: -10px;
    right: 14px;
    width: 10px;
    height: 10px;
    background: transparent;
    border-top-left-radius: 30px;
    box-shadow: -5px -5px 0 3px rgba(213, 217, 226, 1);

    transform: rotate(90deg);

    @media (max-width: 767px) {
      right: 6px;

      box-shadow: -3px -3px 0 3px rgba(213, 217, 226, 1);
    }
  }
}
.card-content_box {
  margin-top: 24px;

  font-family: Onest;
  font-weight: 500;
  font-size: 20px;
  line-height: 150%;
  letter-spacing: 0%;
  text-align: center;

  color: var(--color-main);
  flex-grow: 1;

  @media (max-width: 767px) {
    font-size: 12px;
    margin-top: 10px;
  }
}
.card-content_head {
}
.card-content_text {
  sup {
    font-size: 14px;

    @media (max-width: 767px) {
      font-size: 10px;
    }
  }
}

/*  */

.faq-container {
  background-color: var(--color-light);
}

.accordion-block {
  margin-top: 40px;

  display: flex;
  flex-direction: column;
  gap: 12px;

  @media (max-width: 767px) {
    margin-top: 24px;
  }
}

details summary {
  list-style: none;
  cursor: pointer;
  padding: 22px;
  background-color: white;

  position: relative;

  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 32px;
}
.icon-box_summary {
}
.first-summary {
  border-radius: 12px 12px 0 0;
}
.last-summary {
  border-radius: 0 0 12px 12px;
}

details summary::-webkit-details-marker {
  display: none;
}

.accordion-block {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.accordion {
}

.accordion_details {
  &:hover {
    color: var(--color-icons);
  }
}
.accordion_details-last[open] {
  background-color: white;
}

.accordion_details[open] {
  color: var(--color-icons);

  .icon-box_summary {
    svg {
      transform: rotate(-90deg);
    }
  }
}
.icon-box_summary svg {
  transform: rotate(0);
  transform-origin: center;
  transition: transform 0.3s;
}

.accordion_details[open] + .accordion_contnent {
  grid-template-rows: 1fr;
  padding: 0 24px 24px 24px;
  background-color: white;
}

.accordion_title {
  display: inline;

  font-family: Onest;
  font-weight: 500;
  font-size: 20px;
  line-height: 150%;
  letter-spacing: 0%;

  @media (max-width: 767px) {
    font-size: 16px;
  }
}

.accordion_contnent {
  display: grid;
  grid-template-rows: 0fr;
  transition-duration: 0.3s;
  padding: 0 0 2px 0;
}
.accordion_contnent-last {
  border-radius: 0 0 12px 12px;
}

.accordion_content-body {
  overflow: hidden;

  p {
    font-family: Onest;
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: 0%;

    color: var(--color-grey_text_light);

    @media (max-width: 767px) {
      font-size: 12px;
    }
  }
}
